import { MarkStore, Setting } from "@/types";
import { reactive } from "vue";

const obj = {
  setting: {
    mode: "TRACK",
    examType: "SCAN_IMAGE",
    forceMode: false,
    sheetView: false,
    sheetConfig: [],
    enableAllZero: false,
    fileServer: "",
    userName: "",
    subject: <Setting["subject"]>{},
    forceSpecialTag: false,
    uiSetting: {
      "answer.paper.scale": 1,
      "score.board.collapse": false,
      "normal.mode": "keyboard",
      "paper.modal": false,
      "answer.modal": false,
      "minimap.modal": false,
      "specialTag.modal": false,
    },
    statusValue: "FORMAL",
    problemTypes: [],
    groupNumber: 0,
    groupTitle: "",
    topCount: 0,
    splitConfig: [],
    prefetchCount: 3,
    startTime: 0,
    endTime: 0,
  },
  status: <MarkStore["status"]>{},
  groups: [],
  tasks: [],
  message: null,
  currentMarkResult: undefined,
  currentTask: undefined,
  currentQuestion: undefined,
  currentScore: undefined,
  currentSpecialTag: undefined,
  markResults: [],
  historyOpen: false,
  MarkBoardTrackCollapse: false,
  historyTasks: [],
  removeScoreTracks: [],
  maxModalZIndex: 1020,
  minimapScrollTo: 0,
  allPaperModal: false,
  sheetViewModal: false,
} as MarkStore;

export const store = reactive(obj);
